質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.92%

Python pandasのエラーを解決したい

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,286

applepie

score 12

前提・実現したいこと

pandasのエラーを解消したいです。
pip install pandasで、pandasをインストールしましたが、コードを実行するとエラーが出ます。
解決方法を教えてください。
よろしくお願いします。

発生している問題・エラーメッセージ

Traceback (most recent call last):
  File "d:/Python/web.py", line 5, in <module>
    import pandas
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\__init__.py", line 55, in <module>
    from pandas.core.api import (
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\api.py", line 29, in <module>
    from pandas.core.groupby import Grouper, NamedAgg
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\groupby\__init__.py", line 1, in <module>     
    from pandas.core.groupby.generic import DataFrameGroupBy, NamedAgg, SeriesGroupBy
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\groupby\generic.py", line 60, in <module>     
    from pandas.core.frame import DataFrame
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\frame.py", line 124, in <module>
    from pandas.core.series import Series
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\series.py", line 4572, in <module>
    Series._add_series_or_dataframe_operations()
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\generic.py", line 10349, in _add_series_or_dataframe_operations
    from pandas.core.window import EWM, Expanding, Rolling, Window   
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\window\__init__.py", line 1, in <module>      
    from pandas.core.window.ewm import EWM  # noqa:F401
  File "C:\Users\apple\AppData\Local\Programs\Python\Python38\lib\site-packages\pandas\core\window\ewm.py", line 5, in <module>
    import pandas._libs.window.aggregations as window_aggregations   
ImportError: DLL load failed while importing aggregations: 指定された
モジュールが見つかりません。


該当のソースコード

試したこと

補足情報

OS:Windows10 Home
Pythonのバージョン:Python 3.8.2
pandasのバージョン:1.0.3

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • magichan

    2020/04/14 12:15

    インストール先のOS名、pythonのバージョンおよびインストールしたpandasのバージョンの追記をお願いします。

    キャンセル

  • applepie

    2020/04/14 12:36 編集

    OS:Windows10 Home
    Pythonのバージョン:Python 3.8.2
    pandasのバージョン:1.0.3
    質問の「補足情報」にも同じことを書きました。

    すみません。
    pandasのバージョンを1.0.3から1.0.1に変更したら、エラーもなく実行することができました。
    (Version1.0.2でもダメでした。)

    stack overflowというサイトで同じような質問があったので、解答欄にある方法を試してみたらコードを実行できました。
    ここ2日ぐらい、このエラーの解決方法を調べていたのですが、うまくいかずteratailに質問した次第です。
    失礼しました。

    キャンセル

回答 2

checkベストアンサー

+1

今回の不具合は本家のIssue Ticketに挙がっております。

https://github.com/pandas-dev/pandas/issues/32857
https://github.com/pandas-dev/pandas/issues/32936

上記のリンク先を見る限り、1.0.1 までパッケージに同梱されていた

  • concrt140.dll
  • msvcp140.dll

の2つのDLLが1.0.2 以降のパッケージに同梱されていないのが原因のようです。
ですので、最新版のpandasを使用する場合、

(1) 1.0.1をインストールし
(2)(pythonのインストール先)\Lib\site-packages\pandas\_libs\window 以下にある上記2つのDLLをコピー(適当な場所にバックアップ)
(3)1.0.3をインストール
(4)(pythonのインストール先)\Lib\site-packages\pandas\_libs\window に(2)でコピーしたDLLをコピー

で良さそうな感じなのですが、私の環境では不具合が発生しないため確認できませんでした。(スミマセン)

まあ本家にて現在上記の修正が行われていますので次のリリースでは改善されていると思いますので、それまでは 1.0.1 を使うのでも良い気がします。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/04/15 07:37 編集

    回答ありがとうございます。
    丁寧に解説をしていただき、感謝します。

    教えて頂いた通り、2つのDLL(concrt140.dll、msvcp140.dll)をversion1.0.3にコピーしてコードを実行したら、エラーは起きませんでした。
    助かりました。

    ありがとうございました。

    キャンセル

0

pandasのversion1.0.3を1.0.1に変更したら、エラーが解消されました。
なぜこのようなエラーが出るのかは、わかりません。

pip uninstall pandas
pip install pandas==1.0.1

参考にしたサイト stack overflow

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.92%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る